From: "Gilles Dartiguelongue" <eva@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-util/devhelp/
Date: Thu, 20 Oct 2016 22:31:24 +0000 (UTC) [thread overview]
Message-ID: <1477002650.b864ee37da34526a2d58ec39638593da5e75068b.eva@gentoo> (raw)
commit: b864ee37da34526a2d58ec39638593da5e75068b
Author: Gilles Dartiguelongue <eva <AT> gentoo <DOT> org>
AuthorDate: Thu Oct 20 21:11:36 2016 +0000
Commit: Gilles Dartiguelongue <eva <AT> gentoo <DOT> org>
CommitDate: Thu Oct 20 22:30:50 2016 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b864ee37
dev-util/devhelp: version bump 3.20.0 → 3.22.0
Package-Manager: portage-2.3.1
dev-util/devhelp/Manifest | 1 +
dev-util/devhelp/devhelp-3.22.0.ebuild | 60 ++++++++++++++++++++++++++++++++++
2 files changed, 61 insertions(+)
diff --git a/dev-util/devhelp/Manifest b/dev-util/devhelp/Manifest
index 97c01b7..ae4c787 100644
--- a/dev-util/devhelp/Manifest
+++ b/dev-util/devhelp/Manifest
@@ -1,2 +1,3 @@
DIST devhelp-3.18.1.tar.xz 464312 SHA256 303a162ad294dc6f9984898e501a06dc5d2aa9812b06801c2e39b250d8c51aef SHA512 7b3eca28f1e6117e2aa0599645fec8e1b18f05c44d8f79de7f7de6804bdf485034515ff6bdd9599810ba9880c8eac0901ba5d29b8272a061196cfc5bd563eb79 WHIRLPOOL 284a3ec2548429a5ee7ebce5eb38e586737d71430a19777e1e05c634c011bbc173ddcaf7f4cf24f3e2e68965b117b5c4f0228467cd080c15e4ab05385b468a47
DIST devhelp-3.20.0.tar.xz 489308 SHA256 a23375c2e2b2ef6240994bc2327fcacfd42403af6d872d0cba2e16dd45ca1f1d SHA512 4f64d95bddc41031a4c7589fdd6ed15b17654917c82a77b82044d5c7ac7bf02546ac1d689a6909bb5128f125a992910ccb4eb0c0e261ffa94eea0f0fef39316b WHIRLPOOL 41d015394f0a5f8e4757c6aae09f74b3e902f2ad8753face16041e850e72b176629eb6f733de97272f6dc42d51f4ebae1c5cad875f419b4df2ddec7e5d56f0bd
+DIST devhelp-3.22.0.tar.xz 491908 SHA256 59cae02e12d238cc5fc3f049d779895ba89701426d9173f5b534d4ab90c5ffb0 SHA512 16d9853c4514d7b28381e3755e34682a2e9d64d666bb7d39094289d4990eb981efac041b7bf7f8beef5a018cab71c461ecd4e7b7a099fbc132f5b8f7b79749dc WHIRLPOOL a46088f7cf373106cfecaa87f2cac350e05fb94dc925f12e22f9f000754124dfe62845d23a14689c386167e54f0b74bdd4ec5bb2b08b0aad61c54d5f16070713
diff --git a/dev-util/devhelp/devhelp-3.22.0.ebuild b/dev-util/devhelp/devhelp-3.22.0.ebuild
new file mode 100644
index 00000000..72f1087
--- /dev/null
+++ b/dev-util/devhelp/devhelp-3.22.0.ebuild
@@ -0,0 +1,60 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+# gedit-3.8 is python3 only, this also per:
+# https://bugzilla.redhat.com/show_bug.cgi?id=979450
+PYTHON_COMPAT=( python{3_3,3_4,3_5} )
+
+inherit gnome2 python-single-r1 toolchain-funcs
+
+DESCRIPTION="An API documentation browser for GNOME"
+HOMEPAGE="https://wiki.gnome.org/Apps/Devhelp"
+
+LICENSE="GPL-2+"
+SLOT="0/3-1" # subslot = 3-(libdevhelp-3 soname version)
+KEYWORDS="~alpha ~amd64 ~arm ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~amd64-fbsd ~x86-fbsd"
+IUSE="gedit"
+REQUIRED_USE="gedit? ( ${PYTHON_REQUIRED_USE} )"
+
+COMMON_DEPEND="
+ >=dev-libs/glib-2.37.3:2[dbus]
+ >=x11-libs/gtk+-3.19.3:3
+ >=net-libs/webkit-gtk-2.6.0:4
+"
+RDEPEND="${COMMON_DEPEND}
+ gedit? (
+ ${PYTHON_DEPS}
+ app-editors/gedit[introspection,python,${PYTHON_USEDEP}]
+ dev-python/pygobject:3[${PYTHON_USEDEP}]
+ x11-libs/gtk+[introspection] )
+ gnome-base/gsettings-desktop-schemas
+"
+DEPEND="${COMMON_DEPEND}
+ ${PYTHON_DEPS}
+ >=dev-util/intltool-0.40
+ gnome-base/gnome-common
+ virtual/pkgconfig
+"
+
+pkg_setup() {
+ use gedit && python-single-r1_pkg_setup
+}
+
+src_prepare() {
+ if ! use gedit ; then
+ sed -e '/SUBDIRS/ s/gedit-plugin//' -i misc/Makefile.{am,in} || die
+ fi
+
+ gnome2_src_prepare
+}
+
+src_configure() {
+ local myconf=""
+ # ICC is crazy, silence warnings (bug #154010)
+ if [[ $(tc-getCC) == "icc" ]] ; then
+ myconf="--with-compile-warnings=no"
+ fi
+ gnome2_src_configure ${myconf}
+}
next reply other threads:[~2016-10-20 22:31 UTC|newest]
Thread overview: 33+ messages / expand[flat|nested] mbox.gz Atom feed top
2016-10-20 22:31 Gilles Dartiguelongue [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-07-30 8:49 [gentoo-commits] repo/gentoo:master commit in: dev-util/devhelp/ Pacho Ramos
2023-06-03 2:01 Sam James
2021-10-17 21:07 Mart Raudsepp
2021-09-18 20:48 Mart Raudsepp
2021-08-28 21:14 Matt Turner
2021-01-05 18:30 Matt Turner
2021-01-05 18:30 Matt Turner
2020-08-22 12:09 Mart Raudsepp
2020-07-04 15:07 Mart Raudsepp
2020-06-13 16:35 Mart Raudsepp
2020-06-13 15:24 Mart Raudsepp
2020-01-26 18:02 Mart Raudsepp
2019-05-18 19:59 Mart Raudsepp
2019-05-10 17:39 Mikle Kolyada
2019-05-02 21:13 Mikle Kolyada
2019-04-07 20:55 Sergei Trofimovich
2019-03-30 21:56 Mart Raudsepp
2019-03-25 21:21 Mikle Kolyada
2019-03-24 20:04 Sergei Trofimovich
2019-03-24 20:02 Sergei Trofimovich
2019-03-24 13:08 Sergei Trofimovich
2018-11-19 15:58 Gilles Dartiguelongue
2018-08-11 15:31 Mart Raudsepp
2018-06-26 18:46 Pacho Ramos
2018-02-27 9:03 Mart Raudsepp
2018-02-03 19:40 Mart Raudsepp
2018-01-18 2:22 Mikle Kolyada
2017-08-15 15:09 Gilles Dartiguelongue
2016-10-20 22:31 Gilles Dartiguelongue
2016-03-06 16:43 Mikle Kolyada
2015-11-14 18:40 Pacho Ramos
2015-11-14 18:40 Pacho Ramos
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1477002650.b864ee37da34526a2d58ec39638593da5e75068b.eva@gentoo \
--to=eva@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox